Subject: Re: [AVT] RTP over TCP.

From: [email-masked]
Date: Wed, 15 May 2002 11:56:34 +0200

Ram, peter,

We would also support work on this issue.

(I cannot make committement on any implementation at this stage;-)

Maybe we could also consider the following option:

What exactly would prevent to interleave RTP in RTSP on TCP for some 
streams and use RTP/UDP for others ?

regards,

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.mpeg-4.philips.com

"Peter Westerink" <[email-masked]>
Sent by: [email-masked]
05/14/2002 22:03

        To:     Ram Kordale <[email-masked]>
        cc:     [email-masked]
[email-masked]
Ross Finlayson <[email-masked]>
[email-masked]
(bcc: Philippe Gentric/MP4-SUR/CE/PHILIPS)
        Subject:        Re: [AVT] RTP over TCP.
        Classification: 

Ram,

I believe such a profile existed in draft-ietf-avt-profile-new-09.txt, but
it was removed in version 10 because "there were no 2 implementations".
There were no technical reasons mentioned. The draft proposed prepending
each RTP packet with a 2-byte length and that's all.

IBM is interested in the same thing you're after, and I can assume there
are more MPEG-4 companies that also would want to send their BIFS and OD
streams reliably (albeit not guaranteed on-time) over TCP. With that we
should be able to come up with 2 implementations and hence re-instate the
profile?

      Peter

                      Ram Kordale   
                      <kordale@kasenna.        To:       Ross Finlayson 
<[email-masked]> 
                      com>                     cc:       <[email-masked]>, 
[email-masked] 
                      Sent by:                 Subject:  Re: [AVT] RTP 
over TCP. 
                      [email-masked]   
                      g  

                      05/14/2002 03:50   
                      PM  

Ross,

Section 10.12 describes only the interleaving case. What about the case
where RTP and RTCP data need to be transferred on separate TCP 
connections?

This will need a separate profile. Does such a profile exist?

Thanks.
Ram

At 12:17 PM 5/8/2002 -0700, Ross Finlayson wrote:
>At 10:45 AM 5/8/02, Ethen Bommaiah wrote:
>>I was curious to know if there were any standard profiles that define
>>transferring RTP
>>packets over TCP. In particular, we were interested in transferring RTP
data
>>over TCP
>>while using RTSP as the control protocol.
>
>Yes - see section 10.12 of the RTSP specification (RFC 2326).  This
>defines how RTP packets may be carried over the RTSP (TCP) stream.  (This
>is actually not a new RTP 'profile', but instead, an optonal mechanism
>defined within RTSP.)
>
>         Ross.
>
>
>_______________________________________________
>Audio/Video Transport Working Group
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Ram Kordale <[email-masked]>
Date: Thu, 16 May 2002 16:09:26 -0700

Philippe,

>We would also support work on this issue.

Thanks for your support.

>streams and use RTP/UDP for others ?

RFC 2326 recommends this option only when the option of sending data 
separately is not available. The reasons for this must be similar to the 
argument in section 5.2 in the ID for RTP.

Ram

> Kordale 
>                      05/14/2002 
> 03:50 
>where RTP and RTCP data need to be transferred on separate TCP connections?
>